# frozen_string_literal: true

require_relative "heroku_apps"

class HerokuUsers
  def run(args)
    action, email_address = args
    abort(">> action is either add or remove") unless %w[add remove].include? action
    abort(">> specify an email address") unless email_address
    heroku_apps = HerokuApps.new.run
    heroku_apps.each do |app|
      say "heroku access:#{action} #{email_address} --app #{app}"
    end
  end
end
