# frozen_string_literal: true

require "active_resource"

module Toggl
  class Workspace < ActiveResource::Base
    self.site = "https://www.toggl.com/api/v8/"
    self.include_root_in_json = true
    self.include_format_in_path = false

    def self.user
      RenuoCliConfig.toggl_api_token
    end

    def self.password
      "api_token"
    end
  end
end
