# -*- encoding: utf-8 -*-
# stub: renuo-cli 4.5.2 ruby lib

Gem::Specification.new do |s|
  s.name = "renuo-cli".freeze
  s.version = "4.5.2".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Renuo AG".freeze]
  s.date = "2024-10-09"
  s.description = "The Renuo CLI automates some commonly used workflows by providing a command line interface.".freeze
  s.email = ["info@renuo.ch".freeze]
  s.executables = ["renuo".freeze]
  s.files = ["bin/renuo".freeze]
  s.homepage = "https://github.com/renuo/renuo-cli".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.1.0".freeze)
  s.rubygems_version = "3.5.16".freeze
  s.summary = "The Renuo CLI automates some common workflows.".freeze

  s.installed_by_version = "3.5.16".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<activeresource>.freeze, ["~> 5.1.0".freeze])
  s.add_runtime_dependency(%q<colorize>.freeze, ["~> 0".freeze])
  s.add_runtime_dependency(%q<commander>.freeze, ["~> 4.0".freeze])
  s.add_runtime_dependency(%q<gems>.freeze, ["~> 1.1".freeze])
  s.add_runtime_dependency(%q<redcarpet>.freeze, ["~> 3.0".freeze])
  s.add_runtime_dependency(%q<terminal-table>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<aruba>.freeze, ["~> 0.14.5".freeze])
  s.add_development_dependency(%q<bundler>.freeze, ["~> 2.5".freeze])
  s.add_development_dependency(%q<byebug>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<cucumber>.freeze, ["~> 3.1".freeze])
  s.add_development_dependency(%q<dotenv>.freeze, ["~> 2.7.2".freeze])
  s.add_development_dependency(%q<mdl>.freeze, ["~> 0.13".freeze])
  s.add_development_dependency(%q<pry>.freeze, ["~> 0.14".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<renuocop>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5".freeze])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 1.62".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<simplecov-console>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<vcr>.freeze, ["~> 6.2".freeze])
  s.add_development_dependency(%q<webmock>.freeze, ["~> 3.23".freeze])
end
